* src/configure.ac: Don't check for erlang header file (EJAB-232)

* src/configure: Likewise

SVN Revision: 1430
This commit is contained in:
Badlop 2008-07-10 18:09:18 +00:00
parent 53c994825c
commit e956ca4fe3
3 changed files with 7 additions and 135 deletions

View File

@ -1,3 +1,8 @@
2008-07-10 Badlop <badlop@process-one.net>
* src/configure.ac: Don't check for erlang header file (EJAB-232)
* src/configure: Likewise
2008-07-09 Badlop <badlop@process-one.net>
* src/configure.ac: Check for erlang header files (EJAB-232)

135
src/configure vendored
View File

@ -4756,140 +4756,7 @@ fi
# Check Erlang headers are installed
if test "${ac_cv_header_erl_driver_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for erl_driver.h" >&5
echo $ECHO_N "checking for erl_driver.h... $ECHO_C" >&6; }
if test "${ac_cv_header_erl_driver_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_erl_driver_h" >&5
echo "${ECHO_T}$ac_cv_header_erl_driver_h" >&6; }
else
# Is the header compilable?
{ echo "$as_me:$LINENO: checking erl_driver.h usability" >&5
echo $ECHO_N "checking erl_driver.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <erl_driver.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }
# Is the header present?
{ echo "$as_me:$LINENO: checking erl_driver.h presence" >&5
echo $ECHO_N "checking erl_driver.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <erl_driver.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
{ echo "$as_me:$LINENO: WARNING: erl_driver.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: erl_driver.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: erl_driver.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: erl_driver.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: erl_driver.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: erl_driver.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: erl_driver.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: erl_driver.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: erl_driver.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: erl_driver.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: erl_driver.h: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: erl_driver.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: erl_driver.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: erl_driver.h: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: erl_driver.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: erl_driver.h: in the future, the compiler will take precedence" >&2;}
;;
esac
{ echo "$as_me:$LINENO: checking for erl_driver.h" >&5
echo $ECHO_N "checking for erl_driver.h... $ECHO_C" >&6; }
if test "${ac_cv_header_erl_driver_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_cv_header_erl_driver_h=$ac_header_preproc
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_erl_driver_h" >&5
echo "${ECHO_T}$ac_cv_header_erl_driver_h" >&6; }
fi
if test $ac_cv_header_erl_driver_h = yes; then
:
else
{ { echo "$as_me:$LINENO: error: cannot find Erlang header files" >&5
echo "$as_me: error: cannot find Erlang header files" >&2;}
{ (exit 1); exit 1; }; }
fi
#AC_CHECK_HEADER(erl_driver.h,,[AC_MSG_ERROR([cannot find Erlang header files])])
# Change default prefix

View File

@ -27,7 +27,7 @@ AM_WITH_PAM
AC_C_CONST
# Check Erlang headers are installed
AC_CHECK_HEADER(erl_driver.h,,[AC_MSG_ERROR([cannot find Erlang header files])])
#AC_CHECK_HEADER(erl_driver.h,,[AC_MSG_ERROR([cannot find Erlang header files])])
# Change default prefix
AC_PREFIX_DEFAULT(/)